#ifndef INTEGRAND_H
#define INTEGRAND_H

#include "TFoamIntegrand.h"

namespace SANC {

class Info;
class LHEF;
class Process;

class PDF;

class Integrand_aa: public TFoamIntegrand {
  public:
    Integrand_aa(SANC::Info & _info, SANC::Process & _proc, PDF *_pdf, int t=0);
    ~Integrand_aa(void){}
    double Density(int ndim, double *Xarg);
    double LoopAA(int ndim, double *Xarg);
private:
  SANC::Info & info;
  SANC::Process & proc;
  PDF * pdf;
  int    m_Type; // Type of function
  double Mf1,Mf2,Mf3,Mf4,Mf1_2,Mf2_2,Mf3_2,Mf4_2;
  double sm,dm;
////////////////////////////////////////////////////////////////////////////
};


}
#endif
