#ifndef RENESANCE_AA_H
#define RENESANCE_AA_H
#include <fstream>

class TRandom;

namespace SANC {

class Settings;
class Info;
class ModulesInterface;
class Time;
class Process;
class DataSaver;
class PDF;

class ReneSANCe_aa
{
public:
    ReneSANCe_aa(Settings & _cfg, Info & _info, Process & _proc, ModulesInterface & _mod, Time & _time, DataSaver & _ds);
    ~ReneSANCe_aa(){}
    void generateGrid();
    void generateEvents();
private:
    Settings & cfg;
    Time & timing;
    Info & info;
    Process & proc;
    ModulesInterface & modules;
    DataSaver & ds;
    double xwgtup;
    long   loop;
    double MCresult,MCerror,MCwt;
    TRandom *PseRan;
    std::ofstream output_loop;
    PDF *pdf;
};

}
#endif // RENESANCE_AA_H
