      subroutine bbff_ha_11_1212_amp (s,t,u,amp)
      implicit none!
      include 's2n_declare.h'

      real*8 cth13,sth13,sqrtLee,betaselel,b,lcm,lcp,sqrtS,iz13,iz14
      complex*16 amp(2,2,2,2)

      sqrtS = dsqrt(s)
      sqrtLee = dsqrt(s**2-4d0*mel**2*s)
      betaselel = dsqrt(1d0-4d0*mel**2/s)
      b = betaselel

      cth13 = (u-t)/s/b
      if (abs(cth13).le.1d0) then
         sth13 = dsqrt(1d0-cth13**2)
      else
         sth13 = 0d0
      endif

      lcp = 1d0+cth13
      lcm = 1d0-cth13
      iz13 = 1d0/(mel**2-u)
      iz14 = 1d0/(mel**2-t)

      amp(2,1,2,2) = -sqrtS*mel*lcp*lcm*iz13*iz14*sqrtLee
      amp(2,1,2,1) = sth13*s*lcp*iz13*iz14*sqrtLee/2d0
      amp(2,1,1,2) = -sth13*s*lcm*iz13*iz14*sqrtLee/2d0
      amp(2,1,1,1) = sqrtS*mel*lcp*lcm*iz13*iz14*sqrtLee
      amp(1,2,2,2) = -sqrtS*mel*lcp*lcm*iz13*iz14*sqrtLee
      amp(1,2,2,1) = -sth13*s*lcm*iz13*iz14*sqrtLee/2d0
      amp(1,2,1,2) = sth13*s*lcp*iz13*iz14*sqrtLee/2d0
      amp(1,2,1,1) = sqrtS*mel*lcp*lcm*iz13*iz14*sqrtLee
      amp(1,1,2,2) = sqrtS*mel*iz13*iz14*(sqrtLee-s)
      amp(1,1,2,1) = 0d0
      amp(1,1,1,2) = 0d0
      amp(1,1,1,1) = -sqrtS*mel*iz13*iz14*(sqrtLee+s)
      amp(2,2,2,2) = -amp(1,1,1,1)
      amp(2,2,2,1) = -amp(1,1,2,1)
      amp(2,2,1,2) = -amp(1,1,1,2)
      amp(2,2,1,1) = -amp(1,1,2,2)

      return
      end
